This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303569 - Review Request: uflash - An utility to flash Python onto the BBC micro:bit
Review Request: uflash - An utility to flash Python onto the BBC micro:bit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 05:35 EST by kushaldas@gmail.com
Modified: 2016-08-24 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 12:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kumarpraveen.nitdgp: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2016-02-01 05:35:08 EST
Spec URL: https://kushal.fedorapeople.org/packages/uflash.spec
SRPM URL: https://kushal.fedorapeople.org/packages/uflash-0.9.18b0-1.fc23.src.rpm
Description: A utility for flashing the BBC micro:bit with Python scripts and the
MicroPython runtime. You pronounce the name of this utility "micro-flash". ;-)
It provides two services. A library of functions to programatically create a
hex file and flash it onto a BBC micro:bit.  A command line utility called
uflash that will flash Python scripts onto a BBC micro:bit.
Fedora Account System Username: kushal
Comment 1 Praveen Kumar 2016-02-01 07:57:58 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/prkumar/fedora-
     scm/1303569-uflash/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: uflash-0.9.18b0-1.fc23.noarch.rpm
          uflash-0.9.18b0-1.fc23.src.rpm
uflash.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
uflash.noarch: W: spelling-error %description -l en_US programatically -> grammatically, problematically, pragmatically
uflash.noarch: W: no-manual-page-for-binary uflash
uflash.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
uflash.src: W: spelling-error %description -l en_US programatically -> grammatically, problematically, pragmatically
uflash.src: W: strange-permission uflash-0.9.18b0.tar.gz 640
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Please fix file permission warning -> https://fedoraproject.org/wiki/Common_Rpmlint_issues#strange-permission



Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
uflash.noarch: W: no-manual-page-for-binary uflash
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
uflash (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)



Provides
--------
uflash:
    uflash



Source checksums
----------------
https://pypi.python.org/packages/source/u/uflash/uflash-0.9.18b0.tar.gz :
  CHECKSUM(SHA256) this package     : 876e427812530a14a1b662213343aca2c65e58b7e9bcf6d1625f0f1c317b6e1a
  CHECKSUM(SHA256) upstream package : 876e427812530a14a1b662213343aca2c65e58b7e9bcf6d1625f0f1c317b6e1a
Comment 2 kushaldas@gmail.com 2016-02-02 08:14:14 EST
I have the updated srpm with proper file permissions.
Comment 3 Praveen Kumar 2016-02-02 08:20:55 EST
Yes, rpmlint is not showing this warning now and source checksum also correct.


Rpmlint
-------
Checking: uflash-0.9.18b0-1.fc23.noarch.rpm
          uflash-0.9.18b0-1.fc23.src.rpm
uflash.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
uflash.noarch: W: spelling-error %description -l en_US programatically -> grammatically, problematically, pragmatically
uflash.noarch: W: no-manual-page-for-binary uflash
uflash.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
uflash.src: W: spelling-error %description -l en_US programatically -> grammatically, problematically, pragmatically
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


Source checksums
----------------
https://pypi.python.org/packages/source/u/uflash/uflash-0.9.18b0.tar.gz :
  CHECKSUM(SHA256) this package     : 876e427812530a14a1b662213343aca2c65e58b7e9bcf6d1625f0f1c317b6e1a
  CHECKSUM(SHA256) upstream package : 876e427812530a14a1b662213343aca2c65e58b7e9bcf6d1625f0f1c317b6e1a

================ Approved ==================
Comment 4 Gwyn Ciesla 2016-02-05 11:21:30 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/uflash
Comment 5 Fedora Update System 2016-02-09 02:47:05 EST
uflash-0.9.18b0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f2a8965bb
Comment 6 Fedora Update System 2016-02-09 17:26:18 EST
uflash-0.9.18b0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f2a8965bb
Comment 7 Fedora Update System 2016-08-16 11:38:51 EDT
uflash-1.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-389585fba2
Comment 8 Fedora Update System 2016-08-16 20:22:02 EDT
uflash-1.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-389585fba2
Comment 9 Fedora Update System 2016-08-24 12:22:56 EDT
uflash-1.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.